Package com.microblink.blinkid.entities.recognizers.blinkid.generic.imageanalysis

# Class ImageAnalysisResult

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.imageanalysis.ImageAnalysisResult

All Implemented Interfaces:
  `android.os.Parcelable`

public final class ImageAnalysisResult extends Object implements android.os.Parcelable
Contains document image analysis information.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<ImageAnalysisResult>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImageAnalysisResult`
  `createFromNative(boolean blurDetected, boolean glareDetected, int documentImageColorStatus, int documentImageMoireStatus, int faceDetectionStatus, int mrzDetectionStatus, int barcodeDetectionStatus, int realIdDetectionStatus, int cardOrientation, int cardRotation)`
  This method is called from native code to build `ImageAnalysisResult` from native object.
  `int`
  `describeContents()`
  `ImageAnalysisDetectionStatus`
  `getBarcodeDetectionStatus()`
  Barcode detection status determined from the scanned image.
  `CardOrientation`
  `getCardOrientation()`
  Orientation determined from the scanned image.
  `CardRotation`
  `getCardRotation()`
  Rotation determined from the scanned image.
  `DocumentImageColorStatus`
  `getDocumentImageColorStatus()`
  The color status determined from scanned image.
  `ImageAnalysisDetectionStatus`
  `getDocumentImageMoireStatus()`
  The Moire pattern detection status determined from the scanned image.
  `ImageAnalysisDetectionStatus`
  `getFaceDetectionStatus()`
  Face detection status determined from the scanned image.
  `ImageAnalysisDetectionStatus`
  `getMrzDetectionStatus()`
  Mrz detection status determined from the scanned image.
  `ImageAnalysisDetectionStatus`
  `getRealIdDetectionStatus()`
  RealID detection status determined from the scanned image.
  `boolean`
  `isBlurDetected()`
  Indicates if blur was detected on the scanned image.
  `boolean`
  `isGlareDetected()`
  Indicates if glare was detected on the scanned image.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<ImageAnalysisResult> CREATOR

- ## Method Details

  - ### isBlurDetected

    public boolean isBlurDetected()
    Indicates if blur was detected on the scanned image.

  - ### isGlareDetected

    public boolean isGlareDetected()
    Indicates if glare was detected on the scanned image.

  - ### getDocumentImageColorStatus

    @NonNull public DocumentImageColorStatus getDocumentImageColorStatus()
    The color status determined from scanned image.

  - ### getDocumentImageMoireStatus

    @NonNull public ImageAnalysisDetectionStatus getDocumentImageMoireStatus()
    The Moire pattern detection status determined from the scanned image.

  - ### getFaceDetectionStatus

    @NonNull public ImageAnalysisDetectionStatus getFaceDetectionStatus()
    Face detection status determined from the scanned image.

  - ### getMrzDetectionStatus

    @NonNull public ImageAnalysisDetectionStatus getMrzDetectionStatus()
    Mrz detection status determined from the scanned image.

  - ### getBarcodeDetectionStatus

    @NonNull public ImageAnalysisDetectionStatus getBarcodeDetectionStatus()
    Barcode detection status determined from the scanned image.

  - ### getRealIdDetectionStatus

    @NonNull public ImageAnalysisDetectionStatus getRealIdDetectionStatus()
    RealID detection status determined from the scanned image.

  - ### getCardOrientation

    @NonNull public CardOrientation getCardOrientation()
    Orientation determined from the scanned image.

  - ### getCardRotation

    @Nullable public CardRotation getCardRotation()
    Rotation determined from the scanned image.

  - ### createFromNative

    @NonNull public static ImageAnalysisResult createFromNative(boolean blurDetected, boolean glareDetected, int documentImageColorStatus, int documentImageMoireStatus, int faceDetectionStatus, int mrzDetectionStatus, int barcodeDetectionStatus, int realIdDetectionStatus, int cardOrientation, int cardRotation)
    This method is called from native code to build `ImageAnalysisResult` from native object.

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`